#!/bin/bash

TARGET="MNIST-M"
SOURCE_DATA_NUM=25000
TARGET_DATA_NUM=9000
DA_METHOD="Multi-EPL-2"
CONF_TH=0.9

cd ..
WORK_DIR=$(pwd)
DATA_DIR="${WORK_DIR}/data/digits"
SAVE_DIR="${WORK_DIR}/pretrained"

cd src

python digits.py \
  --target $TARGET \
  --source_data_num $SOURCE_DATA_NUM \
  --target_data_num $TARGET_DATA_NUM \
  --da_method $DA_METHOD \
  --conf_threshold $CONF_TH \
  --data_dir $DATA_DIR \
  --pretrained_save_dir $SAVE_DIR \
  --gpu 0 \
  --seed 0
